/* variables */
:root {
  --primary: #c5d5cb;
  --dark: #333;
  --light: #fff;
  --shadow: 0 1px 5px rgba(104, 104, 104, 0.8);
  --red: crimson;
}

input[type="text"] {
  width: 100%;
  border: solid;
  border-color: #9fa8a3;

  border-radius: 4px;
  margin: 4px 0 4px 0;
  outline: none;
  padding: 10px;
  box-sizing: border-box;
}
button {
  width: 100%;
  box-sizing: border-box;
  background-color: var(--dark);
  box-shadow: #9fa8a3;
  margin: 4px 0 4px 0;
  outline: none;
  padding: 10px;
  margin-top: 27px;
  text-transform: uppercase;
  border-radius: 4px;
  border-style: hidden;
  color: var(--light);
}
input[type="number"] {
  width: 100%;
  border: solid;
  border-color: #9fa8a3;
  border-radius: 4px;
  margin: 4px 0 4px 0;
  outline: none;
  padding: 10px;
  box-sizing: border-box;
}
input[type="email"] {
  width: 100%;
  border: solid;
  border-color: #9fa8a3;
  border-radius: 4px;
  margin: 4px 0 4px 0;
  outline: none;
  padding: 10px;
  box-sizing: border-box;
}
textarea {
  width: 100%;
  border: solid;
  border-color: #9fa8a3;
  border-radius: 4px;
  margin: 4px 0 4px 0;
  outline: none;
  padding: 10px;
  box-sizing: border-box;
  height: auto;
}

html {
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
  color: var(--dark);
}

body {
  background: #9fa8a3;
  margin: 10px 10px 0px 10px;
  line-height: 1.4;
}
h1 {
  margin-top: 5;
  margin-bottom: 5;
}

h3 {
  margin-top: 0;
  margin-bottom: 0;
}
form {
  margin-bottom: 0;
}
.btn {
  background: var(--red);
  color: var(--dark);
  padding: 0.6rem 1.3rem;
  text-decoration: none;
  border: 0;
  border-radius: 4px;
}

img {
  max-width: 100%;
}

.wrapper {
  display: grid;
  grid-gap: 20px;
}

/* navigation section */

.main-nav ul {
  display: grid;
  grid-gap: 20px;
  padding: 0;
  list-style: none;
  grid-template-columns: repeat(5, 1fr);
  margin-bottom: 0px;
}
@media only screen and (max-width: 880px) {
  .main-nav ul {
    display: block;
    padding-top: 10px;


  }
}

.main-nav a {
  background: var(--primary);
  display: block;
  text-decoration: none;
  padding: 0.9 rem;
  text-align: center;
  color: var(--dark);
  text-transform: uppercase;
  font-size: 1.1rem;
  box-shadow: var(--shadow);
  border-radius: 5px;
margin: 5px;
}
@media only screen and (max-width: 880px) {
.main.nav a{
font-size: 0.7rem;

}
}

.main-nav a:hover {
  background: var(--dark);
  color: var(--light);
}

/* container top*/

.container-top {
  display: grid;
  grid-gap: 20px;
  grid-template-areas:
    "form-header form-header topbox-a"
    "form-header form-header topbox-b";
  text-align: center;
}
@media only screen and (max-width: 880px) {
  .container-top {
    display: grid;
    grid-gap: 10px;
    grid-template-areas:
      "form-header form-header"
      "form-header form-header"
      "topbox-a topbox-a"
      "topbox-b topbox-b";
    text-align: center;
  }
}
@media only screen and (max-width: 700px) {
  .container-top {
    display: grid;
    grid-gap: 10px;
    grid-template-areas:
      "form-header"
      "form-header"
      "topbox-a"
      "topbox-b";
    text-align: center;
  }
}


/* Form-header */
.form-header {
  grid-area: form-header;
  min-height: 300px;
  background: var(--primary);
  border-radius: 5px;
  box-shadow: var(--shadow);
  padding: 1rem 2rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.form-header h1 {
  text-align: left;
  padding-left: 10px;
}
.form-header h3 {
  text-align: left;
  padding-left: 10px;
}

.survey p {
  text-align: left;
  padding-left: 10px;
}

.topbox {
  background: var(--primary);
  display: block;
  text-decoration: none;
  padding: 0.8rem;
  text-align: center;
  color: var(--dark);
  text-transform: uppercase;
  font-size: 1.1rem;
  box-shadow: var(--shadow);
  border-radius: 5px;
}

/* flexing the form */
.form {
  display: grid;
  padding: 10px;
  grid-template-areas:
    "inputname inputage inputmessage"
    "inputemail inputgender inputmessage"
    "inputcheckbox inputradio form-button";
  grid-gap: 10px;
  text-align: left;
}
@media only screen and (max-width: 700px) {
.form{
display: block;

}


}

.inputname {
  grid-area: inputname;
}
.inputage {
  grid-area: inputage;
}
.inputmessage {
  grid-area: inputmessage;
}
.inputemail {
  grid-area: inputemail;
}
.inputgender {
  grid-area: inputgender;
}
.inputradio {
  grid-area: inputradio;
  display: inline-block;
}
.form-button {
  grid-area: form-button;
}
textarea {
  box-sizing: border-box;
}
.inputradio p {
  margin-bottom: 0;
}
.inputcheckbox p {
  margin-bottom: 0;
  padding: 0;
}

#dropdown {
  width: 100%;
  border: solid;
  border-color: #9fa8a3;
  border-radius: 4px;
  margin: 4px 0 4px 0;
  outline: none;
  padding: 10px;
  box-sizing: border-box;
  background-color: var(--light);
  color: var(--dark);
}

.bookagain {
  color: var(--dark);
  border-radius: 5px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 20px;
}

@media only screen and (max-width: 650px) {
.bookagain{
  display:block;
  margin: 5px;
}
.box{
  margin: 5px;
}
}

.box {
  background: var(--primary);
  display: block;
  text-decoration: none;
  text-align: center;
  color: var(--dark);
  box-shadow: var(--shadow);
  border-radius: 5px;
  padding: 20px;
}

.btn:hover {
  background: var(--dark);
  color: var(--red);
  padding: 0.6rem 1.3rem;
  text-decoration: none;
  border: 0;
  border-radius: 4px;
}

.dropdownsection p {
  margin-bottom: 0px;
  padding-left: 2px;
  margin-top: 0px;
}

button:hover {
  background-color: var(--light);
  color: var(--dark);
  text-transform: uppercase;
}
